package inria.meije.rc.sugarcubes;

abstract public class Config implements Cloneable,java.io.Serializable
{
    abstract public boolean fixed(Domain domain);
    abstract public boolean evaluate(Domain domain);
    public Object clone(){
        try{ return (Config)super.clone(); }
        catch (CloneNotSupportedException e){
            throw new InternalError(e.toString());
        } 
    }
}
