package inria.meije.rc.sugarcubes;

public interface Context
{
   void newMove();
   int currentInstant();
   boolean isEndOfInstant();

   void setCurrentLink(Link link);
   Link currentLink();

   void addToShell(String name,Instruction inst);
   void registerShell(String name,Shell shell);
   void removeShell(String name);

   void freezeOrder(String name);
   boolean isToBeFrozen(String name);
   void storeFrozenInstruction(String name,Instruction freezed);
   Instruction getFrozenInstruction(String name);
}
