package inria.meije.rc.sugarcubes;

public class InputDecl extends IODecl
{
    public InputDecl(String localName,String actualName,Instruction body){ 
        super(localName,actualName,body);
    }
    public InputDecl(String localName,JavaStringExpression actualName,Instruction body){ 
        super(localName,actualName,body);
    }

    public String toString(){ 
        return "input "+eventName+" is "+actualNameExp+" in "+body+" end";
    }
    protected Instruction rest(){ 
        return new InputDecl(eventName,actualNameExp,body.residual()); 
    }
    protected void setInput(Domain domain){
        local = local || domain.isGenerated(actualName);
    }
    protected void setOutput(Domain domain){}
}
